Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1910)

Issue 1728113002: Allow some fields to be overridden in strong mode. (Closed)

Created:
4 years, 5 months ago by nweiz
Modified:
4 years, 5 months ago
CC:
reviews_dartlang.org
Base URL:
git@github.com:dart-lang/source_span@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Allow some fields to be overridden in strong mode. For consistency, any field in a class that's meant to be extended can be overridden. R=lrn@google.com, rnystrom@google.com Committed: https://github.com/dart-lang/source_span/commit/38273257d0bd61afd315ae7abaccce603dc362e4

Patch Set 1 #

Patch Set 2 : Make more fields virtual #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+46 lines, -21 lines) Patch
M CHANGELOG.md View 1 1 chunk +6 lines, -0 lines 0 comments Download
M lib/src/location.dart View 1 2 chunks +15 lines, -8 lines 2 comments Download
M lib/src/span.dart View 1 1 chunk +11 lines, -4 lines 0 comments Download
M lib/src/span_exception.dart View 2 chunks +9 lines, -6 lines 0 comments Download
M lib/src/span_with_context.dart View 2 chunks +4 lines, -2 lines 0 comments Download
M pubspec.yaml View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 8 (2 generated)
nweiz
4 years, 5 months ago (2016-02-24 01:30:47 UTC) #1
Lasse Reichstein Nielsen
https://codereview.chromium.org/1728113002/diff/20001/lib/src/location.dart File lib/src/location.dart (right): https://codereview.chromium.org/1728113002/diff/20001/lib/src/location.dart#newcode23 lib/src/location.dart:23: final Uri _sourceUrl; What does this change? A field ...
4 years, 5 months ago (2016-03-01 15:22:43 UTC) #3
nweiz
https://codereview.chromium.org/1728113002/diff/20001/lib/src/location.dart File lib/src/location.dart (right): https://codereview.chromium.org/1728113002/diff/20001/lib/src/location.dart#newcode23 lib/src/location.dart:23: final Uri _sourceUrl; On 2016/03/01 15:22:42, Lasse Reichstein Nielsen ...
4 years, 5 months ago (2016-03-01 19:16:10 UTC) #4
Lasse Reichstein Nielsen
LGTM. It's your library, and the change is a no-op for Dart implementations. If this ...
4 years, 5 months ago (2016-03-02 11:34:02 UTC) #5
Bob Nystrom
lgtm
4 years, 5 months ago (2016-03-02 20:45:57 UTC) #6
nweiz
4 years, 5 months ago (2016-03-02 20:46:20 UTC) #8
Message was sent while issue was closed.
Committed patchset #2 (id:20001) manually as
38273257d0bd61afd315ae7abaccce603dc362e4 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698